GLOBAL SELF(3)

NAME
boost::xpressive::self - Reference to the current regex object.

SYNOPSIS

// In header: <boost/xpressive/regex_primitives.hpp>
unspecified self;

DESCRIPTION

Useful when constructing recursive regular expression objects. The 'self' identifier is a short-hand for the current regex object. For instance, sregex rx = '(' >> (self | nil) >> ')'; will create a regex object that matches balanced parens such as "((()))".